Problem link: [ Ссылка ]
0:00 - LeetCode Interview Question #1 Two Sum
0:44 - How to Approach the Problem
2:00 - Coding Brute Force Solution
2:55 - Testing & Submitting to Leetcode
3:30 - Optimizing Our Solution
5:10 - Coding Our Optimal Solution
7:10 - Testing Our Optimal Solution & Space and Time Complexity
In this leetcode video tutorial lets solve leetcode problem #1 two sum in javascript. It is a very common coding interview question at amazon. This video contains brute force / logical solution and as well as optimal / efficient solution. We will be using arrays and hashmap also sometimes known as hashtables.
#javascript #hashmap #CodingInterview
Ещё видео!